﻿Imports DataSet_ohlTableAdapters
Imports DataSet_ohl
Imports System.Data

Partial Class Empadres_Movtos
    Inherits System.Web.UI.Page
    Private dataSet As DataSet

    Dim TA_Movtos As New movtosTableAdapter
    Dim DT_Movtos As New movtosDataTable

    Dim TA_Movtos2 As New movtos2TableAdapter
    Dim DT_Movtos2 As New movtos2DataTable

    'Dim TA_Animal, TA_Crias As New animalTableAdapter
    'Dim DT_Animal, DT_Crias As New animalDataTable

    Protected Sub Empadres_Movtos_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        'DT_Animal = TA_Animal.GetAniEmpByToro(2, 2011)
        DT_Movtos2 = TA_Movtos2.GetMovtos2()
        gvAnimal.DataSource = DT_Movtos2.Select()
        gvAnimal.DataBind()
        If Not IsPostBack Then
            rbtPrincipal.SelectedIndex = 0
            rbtPrincipal_SelectedIndexChanged(rbtPrincipal, e)
        End If
    End Sub

    Protected Sub rbtPrincipal_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles rbtPrincipal.SelectedIndexChanged
        pnlMovtos.Visible = IIf(rbtPrincipal.SelectedIndex = 0, True, False)
        pnlEstado.Visible = IIf(rbtPrincipal.SelectedIndex = 0, False, True)
    End Sub

    Protected Sub gvAnimal_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles gvAnimal.SelectedIndexChanged
        txtAnimal.Text = gvAnimal.SelectedRow.Cells(1).Text
        lblId.Text = gvAnimal.SelectedRow.Cells(2).Text
        lblNomAni.Text = gvAnimal.SelectedRow.Cells(3).Text
        rbtMovtos.SelectedIndex = 0
    End Sub

    Protected Sub btnConsulta_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnConsulta.Click
        lblFiltro1.Text = "DATOS  INCOMPLETOS"
        gvMovtos1.DataSource = Nothing

        Select Case rbtMovtos.SelectedIndex
            Case 0      'Por Animal
                If txtAnimal.Text.Length > 0 Then
                    DT_Movtos = TA_Movtos.GetMovtosById(lblId.Text)
                    gvMovtos1.DataSource = DT_Movtos.Select()
                    lblFiltro1.Text = "MOVIMIENTOS  DEL  ANIMAL  :  " + txtAnimal.Text
                End If
            Case 1      'Por Fechas
                If txtFI.Text.Length > 0 And txtFF.Text.Length > 0 Then
                    DT_Movtos = TA_Movtos.GetMovtosByFecha(txtFI.Text, txtFF.Text)
                    gvMovtos1.DataSource = DT_Movtos.Select()
                    lblFiltro1.Text = "MOVIMIENTOS  DEL  :  " + txtFI.Text + "  AL  " + txtFF.Text
                End If
            Case 2      'Por Ubicacion
                DT_Movtos = TA_Movtos.GetMovtosByUbic(ddlUbicacion.SelectedValue)
                gvMovtos1.DataSource = DT_Movtos.Select()
                lblFiltro1.Text = "MOVIMIENTOS  EN  LA  UBICACION  :  " + ddlUbicacion.SelectedItem.Text
            Case 3      'Por Estatus
                If ddlEstatus.SelectedValue <> "" Then
                    DT_Movtos = TA_Movtos.GetMovtosByEstatus(ddlEstatus.SelectedValue)
                    gvMovtos1.DataSource = DT_Movtos.Select()
                    lblFiltro1.Text = "MOVIMIENTOS  EN  EL  ORIGEN  :  " + ddlEstatus.SelectedItem.Text
                End If
        End Select
        gvMovtos1.DataBind()
    End Sub

    Protected Sub btnEstado_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnEstado.Click
        lblFiltro2.Text = "DATOS  INCOMPLETOS"
        gvMovtos2.DataSource = Nothing

        Select rbtEstado.SelectedIndex
            Case 0      'Por Ubicacion
                If ddlUbicacion2.SelectedIndex > 0 Then
                    DT_Movtos = TA_Movtos.GetEdoByCorral(ddlUbicacion2.SelectedValue)
                    gvMovtos2.DataSource = DT_Movtos.Select()
                    lblFiltro2.Text = "ESTADO ACTUAL EN LA UBICACION  :  '" + ddlUbicacion2.SelectedItem.Text + "'"
                End If
            Case 1      'Todas las Ubicaciones
                DT_Movtos = TA_Movtos.GetEdoByCorrales()
                gvMovtos2.DataSource = DT_Movtos.Select()
                lblFiltro2.Text = "ESTADO ACTUAL EN TODOS LAS UBICACIONES"
            Case 2      'Ubicacion y Fecha
                If txtFecha.Text.Length > 0 And ddlUbicacion2.SelectedIndex > 0 Then
                    DT_Movtos = TA_Movtos.GetEdoByCorrFec(ddlUbicacion2.SelectedValue, txtFecha.Text)
                    gvMovtos2.DataSource = DT_Movtos.Select()
                    lblFiltro2.Text = "ESTADO EN LA UBICACION : '" + ddlUbicacion2.SelectedItem.Text + "' AL DIA '" + txtFecha.Text + "'"
                End If
            Case 3      'Todas Ubicaciones y Fecha
                If txtFecha.Text.Length > 0 Then
                    DT_Movtos = TA_Movtos.GetEdoByFechaM(txtFecha.Text)
                    gvMovtos2.DataSource = DT_Movtos.Select()
                    lblFiltro2.Text = "ESTADO EN TODAS LAS UBICACIONES AL DIA : '" + txtFecha.Text + "'"
                End If
        End Select
        gvMovtos2.DataBind()
    End Sub
End Class
