﻿<%@ Page Title="" Language="VB" MasterPageFile="~/masterpages/MaestraEstadistica.master" AutoEventWireup="false" CodeFile="Crias.aspx.vb" Inherits="Estadistica_Crias" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
    <link media="screen" rel="stylesheet" href="../Estilos/colorbox.css" />
    <link href="../Estilos/formulario.css" rel="Stylesheet" type="text/css" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" Runat="Server">
    <center>
        <table width="50%" style="font-family: Calibri, Arial; font-weight: bold; font-size: 16px">
            <tr>
                <td colspan="2" class="FormHeaderTD">                    
                    <asp:Label ID="lblTitulo" runat="server" 
                        Text="Filtro para Graficar calificaciones por Animal"></asp:Label>
                </td>
            </tr>
            <tr>
                <td class="FormHeaderTD">
                    <asp:Label ID="lblAnimal" runat="server" 
                        Text="Animal:"></asp:Label>
                </td>
                <td>

                    <asp:TextBox onkeydown = "return (event.keyCode!=13);" ID="txtAnimal" runat="server" AutoPostBack="True"></asp:TextBox>
                    <asp:ImageButton ID="btnLiberar" runat="server" ImageUrl="~/images/mover.png" />

                </td>
            </tr>
        </table>
    </center>
    <center>
        <asp:GridView ID="grvAnimales" runat="server" AutoGenerateColumns="False" 
            DataKeyNames="AnimalId">
            <Columns>
                <asp:BoundField DataField="sexo" HeaderText="sexo" SortExpression="sexo" />
                <asp:BoundField DataField="animalxx" HeaderText="animal" ReadOnly="True" 
                    SortExpression="animalxx" />
                <asp:BoundField DataField="nombre" HeaderText="nombre" 
                    SortExpression="nombre" />
                <asp:BoundField DataField="hierro" HeaderText="hierro" 
                    SortExpression="hierro" />
                <asp:BoundField DataField="tienta_ac" HeaderText="tienta_ac" 
                    SortExpression="tienta_ac" />
                <asp:BoundField DataField="tienta_ap" HeaderText="tienta_ap" 
                    SortExpression="tienta_ap" />
                <asp:BoundField DataField="lidia_ac" HeaderText="lidia_ac" 
                    SortExpression="lidia_ac" />
                <asp:BoundField DataField="lidia_ap" HeaderText="lidia_ap" 
                    SortExpression="lidia_ap" />
                <asp:BoundField DataField="hijos" HeaderText="hijos" SortExpression="hijos" />
                <asp:BoundField DataField="hijas" HeaderText="hijas" SortExpression="hijas" />
                <asp:CommandField SelectText="Graficar" ShowSelectButton="True" />
            </Columns>
        </asp:GridView>
    </center>
    <asp:ObjectDataSource ID="odsCriasPorAnimal" runat="server" 
        OldValuesParameterFormatString="original_{0}" SelectMethod="GetAnimalByNombre" 
        TypeName="DataSet_mdsTableAdapters.animalTableAdapter">
        <SelectParameters>
            <asp:ControlParameter ControlID="txtAnimal" DefaultValue="&quot;&quot;" 
                Name="animal" PropertyName="Text" Type="String" />
        </SelectParameters>
    </asp:ObjectDataSource>
</asp:Content>
