﻿
Partial Class Estadistica_Herencia
    Inherits System.Web.UI.Page
    Dim Hijos As New DataSet_mdsTableAdapters.reporteHijosTableAdapter
    Dim Animales As New DataSet_mdsTableAdapters.animalTableAdapter

    Dim jsonHijos As String

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim sexo As String
        Dim animalId As String
        Dim animal As String
        sexo = Request.Params("sexo")
        animalId = Request.Params("animalId")
        animal = Request.Params("animal")

        lblTitulo.Text = "Hijos por año (" & animal & "-" & sexo & ")"

        Dim DS_Hijos As DataSet_mds.reporteHijosDataTable
        If sexo.Equals("V") Then
            DS_Hijos = Hijos.GetReporteHijosByVaca(Integer.Parse(animalId))
        End If
        If sexo.Equals("T") Then
            DS_Hijos = Hijos.GetReporteHijosByToro(Integer.Parse(animalId))
        End If
        GraficaHijos.DataSource = DS_Hijos
        GraficaHijos.DataBind()
        With GraficaHijos.Series(0)
            .XValueMember = "ano"
            .YValueMembers = "hijos"
            .LabelToolTip = "#VALY"
        End With
        GraficaHijos.DataBind()

        jsonHijos = "{" & _
                    "id: '" & animalId & "'," & _
                    "name: '" & animal & "-" & sexo & "'," & _
                    "data: {}," & _
                    "children: [" & getHijos(animalId, sexo) & "]" & _
                "}"

        json.Value = jsonHijos


    End Sub

    Private Function getHijos(ByVal id As Integer, ByVal sexo As String) As String
        Dim cadena As String = ""

        Dim animalDT As DataSet_mds.animalDataTable

        If sexo.Equals("V") Then
            animalDT = Animales.GetHijosByVaca(id)
        End If
        If sexo.Equals("T") Then
            animalDT = Animales.GetHijosByToro(id)
        End If

        Dim i As Integer = 0
        For Each animal As DataSet_mds.animalRow In animalDT
            If i > 0 Then
                cadena = cadena & ","
            End If
            cadena = cadena & _
            "{" & _
                "id:'" & animal.AnimalId & "'," & _
                "name:'" & animal.animalxx & "-" & animal.sexo & "'," & _
                "data: {}," & _
                "children: [" & getHijos(animal.AnimalId, animal.sexo) & "]" & _
            "}"

            i = i + 1
        Next (animal)

        Return cadena
    End Function
End Class
