﻿Imports DataSet_ohlTableAdapters
Imports DataSet_ohl

Partial Class Consulta_EdoGanaderia
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        pnlVivos1.Visible = False : pnlVivos3.Visible = False
        pnlVivos2.Visible = False : pnlVivos4.Visible = False
        pnlMuertos1.Visible = False : pnlMuertos3.Visible = False
        pnlMuertos2.Visible = False
    End Sub

    Protected Sub ddlPropiedad_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles ddlPropiedad.SelectedIndexChanged
        Dim animales As New animalTableAdapter

        'Vivos Machos
        lblVDato1.Text = animales.SQvivos1(ddlPropiedad.SelectedValue, "T", "MS").ToString
        lblVDato2.Text = animales.SQvivos1(ddlPropiedad.SelectedValue, "T", "MV").ToString
        lblVDato3.Text = animales.SQvivos1(ddlPropiedad.SelectedValue, "T", "ML").ToString
        lblVDato4.Text = animales.SQvivos2(ddlPropiedad.SelectedValue, "T").ToString
        lblVDato5.Text = CInt(lblVDato1.Text) + CInt(lblVDato2.Text) + CInt(lblVDato3.Text) + CInt(lblVDato4.Text)
        'txtVivosMachos4.Text = animales.SQvivos1(ddlPropiedad.SelectedValue, "V", xParametro.SetValue(4, xParametro indices() ).ToString

        'Vivos Hembras
        lblVDato6.Text = animales.SQvivos1(ddlPropiedad.SelectedValue, "V", "HP").ToString
        lblVDato7.Text = animales.SQvivos1(ddlPropiedad.SelectedValue, "V", "HV").ToString
        lblVDato8.Text = animales.SQvivos1(ddlPropiedad.SelectedValue, "V", "HR").ToString   'MR
        lblVDato9.Text = animales.SQvivos3(ddlPropiedad.SelectedValue, "V").ToString
        lblVDato10.Text = CInt(lblVDato6.Text) + CInt(lblVDato7.Text) + CInt(lblVDato8.Text) + CInt(lblVDato9.Text)

        'Vivos Machos para lidia
        lblVDato11.Text = animales.SQanos(ddlPropiedad.SelectedValue, "T", "ML", 0, 1).ToString
        lblVDato12.Text = animales.SQanos(ddlPropiedad.SelectedValue, "T", "ML", 1.01, 2).ToString
        lblVDato13.Text = animales.SQanos(ddlPropiedad.SelectedValue, "T", "ML", 2.01, 3).ToString
        lblVDato14.Text = animales.SQanos(ddlPropiedad.SelectedValue, "T", "ML", 3.01, 3.5).ToString
        lblVDato15.Text = animales.SQanos(ddlPropiedad.SelectedValue, "T", "ML", 3.51, 4).ToString
        lblVDato16.Text = animales.SQanos(ddlPropiedad.SelectedValue, "T", "ML", 4.01, 5).ToString
        lblVDato17.Text = animales.SQanos(ddlPropiedad.SelectedValue, "T", "ML", 5.01, 99).ToString

        'Vivos pies de cria
        lblVDato18.Text = animales.SQanos(ddlPropiedad.SelectedValue, "V", "HP", 0, 1).ToString
        lblVDato19.Text = animales.SQanos(ddlPropiedad.SelectedValue, "V", "HP", 1.01, 2).ToString
        lblVDato20.Text = animales.SQanos(ddlPropiedad.SelectedValue, "V", "HP", 2.01, 3).ToString
        lblVDato21.Text = animales.SQanos(ddlPropiedad.SelectedValue, "V", "HP", 3.01, 5).ToString
        lblVDato22.Text = animales.SQanos(ddlPropiedad.SelectedValue, "V", "HP", 5.01, 10).ToString
        lblVDato23.Text = animales.SQanos(ddlPropiedad.SelectedValue, "V", "HP", 10.01, 15).ToString
        lblVDato24.Text = animales.SQanos(ddlPropiedad.SelectedValue, "V", "HP", 15, 99).ToString

        'Muertos segun causa
        lblMDato1.Text = animales.SQmuertos1(ddlPropiedad.SelectedValue, "A").ToString
        lblMDato2.Text = animales.SQmuertos1(ddlPropiedad.SelectedValue, "L").ToString
        lblMDato3.Text = animales.SQmuertos1(ddlPropiedad.SelectedValue, "P").ToString
        lblMDato4.Text = animales.SQmuertos1(ddlPropiedad.SelectedValue, "V").ToString
        lblMDato5.Text = animales.SQmuertos1(ddlPropiedad.SelectedValue, "E").ToString
        lblMDato6.Text = animales.SQmuertos1(ddlPropiedad.SelectedValue, "M").ToString
        lblMDato7.Text = animales.SQmuertos1(ddlPropiedad.SelectedValue, "R").ToString
        lblMDato8.Text = animales.SQmuertos2(ddlPropiedad.SelectedValue).ToString

        'Muertos lidiados propiedad/procedentes de la ganaderia
        lblMDato1.Text = animales.SQmuertos1(ddlPropiedad.SelectedValue, "A").ToString

        rbtAnimal.Text = "V"
        rbtAnimal_SelectedIndexChanged(rbtAnimal, e)
    End Sub

    Protected Sub rbtAnimal_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles rbtAnimal.SelectedIndexChanged
        'lblprueba.Text = "Ha seleccionado " & rbtAnimal.Text
        If rbtAnimal.Text = "V" Then
            pnlVivos1.Visible = True : pnlVivos3.Visible = True
            pnlVivos2.Visible = True : pnlVivos4.Visible = True
            pnlMuertos1.Visible = False : pnlMuertos3.Visible = False
            pnlMuertos2.Visible = False
        Else
            pnlVivos1.Visible = False : pnlVivos3.Visible = False
            pnlVivos2.Visible = False : pnlVivos4.Visible = False
            pnlMuertos1.Visible = True : pnlMuertos3.Visible = True
            pnlMuertos2.Visible = True
        End If

    End Sub
End Class
