﻿Imports System.Data.SqlClient
Imports System.Data

Partial Class Genetica_Default
    Inherits System.Web.UI.Page

    Dim utils As New utileria
    Protected Sub Genetica_Default_Init(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Init
        If Not IsPostBack Then
            ddlNota = utils.fillPondera(ddlNota, "NOTAAP")
        End If
    End Sub
    Protected Sub btnProcesar_Click(sender As Object, e As EventArgs) Handles btnProcesar.Click
        Try
        Dim ganaderia As String = ddlTipoGanaderia.SelectedValue
            '    CargarGridToros(ganaderia)
            'CargarGridVacas(ganaderia)
            Dim lstCalificaciones As New List(Of String)
            If (cbC1.Checked) Then
                lstCalificaciones.Add("C1")
            End If
            If (cbC2.Checked) Then
                lstCalificaciones.Add("C2")
            End If
            If (cbC3.Checked) Then
                lstCalificaciones.Add("C3")
            End If
            If (cbM1.Checked) Then
                lstCalificaciones.Add("M1")
            End If
            If (cbM2.Checked) Then
                lstCalificaciones.Add("M2")
            End If
            If (cbM3.Checked) Then
                lstCalificaciones.Add("M3")
            End If
            If (cbR1.Checked) Then
                lstCalificaciones.Add("R1")
            End If
            If (cbR2.Checked) Then
                lstCalificaciones.Add("R2")
            End If
            If (CbR3.Checked) Then
                lstCalificaciones.Add("R3")
            End If
            If (cbF1.Checked) Then
                lstCalificaciones.Add("F1")
            End If
            If (cbF2.Checked) Then
                lstCalificaciones.Add("F2")
            End If
            If (CbF3.Checked) Then
                lstCalificaciones.Add("F3")
            End If

            Dim MyRow As New HtmlTableRow
            Dim MyCell As New HtmlTableCell
            Dim cInd As Integer = 1
            Dim idNota As Int16 = 0
            If (lstCalificaciones.Count = 0) Then
                If (chkNotas.Checked) Then
                    For Each nota As ListItem In ddlNota.Items
                        If nota.Text().Trim().Length > 0 Then
                            lstCalificaciones.Add(nota.Text())
                        End If
                    Next
                Else
                    If ddlNota.SelectedItem.Text.Trim.Length > 0 Then
                        lstCalificaciones.Add(ddlNota.SelectedItem.Text())
                    End If
                End If

                idNota = 1
            End If

            For Each strC In lstCalificaciones
                MyCell = New HtmlTableCell
                MyCell.Style.Add("vertical-align", "baseline")
                Dim dtToros As New DataTable
                Dim dtVacas As New DataTable
                Dim lbl As New Label
                Dim htmlTable As New HtmlTable
                htmlTable.Style.Add("font-family", "Calibri, Arial")
                htmlTable.Style.Add("font-weight", "bold")
                htmlTable.Style.Add("font-size", "9px")
                htmlTable.Width = "40%"
                Dim RowI As New HtmlTableRow
                Dim CellI As New HtmlTableCell
                CellI.Attributes.Add("class", "FormHeaderTD")
                CellI.Attributes.Add("align", "center")
                CellI.ColSpan = 2
                lbl.Text = strC
                CellI.Controls.Add(lbl)
                RowI.Cells.Add(CellI)
                htmlTable.Rows.Add(RowI)

                RowI = New HtmlTableRow
                CellI = New HtmlTableCell
                CellI.Attributes.Add("class", "FormHeaderTD")
                CellI.Attributes.Add("align", "center")
                lbl = New Label()
                lbl.Text = "SEMENTAL"
                CellI.Controls.Add(lbl)
                RowI.Cells.Add(CellI)
                CellI = New HtmlTableCell
                CellI.Attributes.Add("class", "FormHeaderTD")
                CellI.Attributes.Add("align", "center")
                lbl = New Label()
                lbl.Text = "VACAS"
                CellI.Controls.Add(lbl)
                RowI.Cells.Add(CellI)
                htmlTable.Rows.Add(RowI)


                RowI = New HtmlTableRow
                RowI.Style.Add("vertical-align", "baseline")
                CellI = New HtmlTableCell
                CellI.Style.Add("vertical-align", "baseline")
                CellI.Controls.Add(CargarGrid(ganaderia, "T", strC, idNota))
                RowI.Cells.Add(CellI)
                CellI = New HtmlTableCell
                CellI.Style.Add("vertical-align", "baseline")
                CellI.Controls.Add(CargarGrid(ganaderia, "V", strC, idNota))
                RowI.Cells.Add(CellI)
                htmlTable.Rows.Add(RowI)
                MyCell.Controls.Add(htmlTable)
                MyRow.Cells.Add(MyCell)


                If (cInd = 3) Then
                    tblCalificaciones.Rows.Add(MyRow)
                    MyRow = New HtmlTableRow
                    cInd = 0
                End If
                cInd += 1
            Next

            tblCalificaciones.Rows.Add(MyRow)

            divResultado.Visible = True
        Catch ex As Exception

        End Try
    End Sub

    Public Function CargarGrid(ByVal ganaderia As String, ByVal sexo As String, ByVal strC As String, ByVal indNota As Integer) As GridView
        Try

            Dim grd As New System.Web.UI.WebControls.GridView
            AddHandler (grd.RowDataBound), AddressOf grd_RowDataBound
            grd.AutoGenerateColumns = False
            grd.HorizontalAlign = HorizontalAlign.Center
            grd.CellPadding = "2"
            grd.ForeColor = Drawing.ColorTranslator.FromHtml("#333333")
            grd.GridLines = GridLines.None
            grd.RowStyle.BackColor = Drawing.ColorTranslator.FromHtml("#F7F6F3")
            grd.RowStyle.ForeColor = Drawing.ColorTranslator.FromHtml("#333333")

            'Columnas
            Dim hyperlinkField As New TemplateField()
            hyperlinkField.ItemTemplate = New HyperlinkColumn()
            hyperlinkField.HeaderText = "Animal"
            grd.Columns.Add(hyperlinkField)
            Dim dbf As New BoundField()
            dbf.DataField = "nombre"
            dbf.HeaderText = "Nombre"
            dbf.ItemStyle.Font.Size = FontSize.Medium
            grd.Columns.Add(dbf)
            dbf = New BoundField()
            dbf.DataField = "Porc"
            dbf.HeaderText = "% Desc."
            dbf.ItemStyle.Font.Size = FontSize.Medium
            grd.Columns.Add(dbf)
            dbf = New BoundField()
            dbf.DataField = "Desc"
            dbf.HeaderText = "# Desc."
            dbf.ItemStyle.Font.Size = FontSize.Medium
            grd.Columns.Add(dbf)
            Dim dt As New DataTable
            dt = CargarTable(ganaderia, sexo, strC, indNota)
            grd.DataSource = dt
            grd.DataBind()

            Return grd
        Catch ex As Exception
            Return New GridView()
        End Try
    End Function
    Protected Sub grd_RowDataBound(ByVal sender As Object, _
         ByVal e As System.Web.UI.WebControls.GridViewRowEventArgs)
        Try
            If (e.Row.RowType = DataControlRowType.DataRow) Then
                Dim hLink As HyperLink = e.Row.FindControl("hylAnimal")
                hLink.ToolTip = "Detalles del animal"
                hLink.Style.Add(" ItemStyle-Font-Size", "9px")
                hLink.Text = DataBinder.Eval(e.Row.DataItem, "numero") & DataBinder.Eval(e.Row.DataItem, "letra") & DataBinder.Eval(e.Row.DataItem, "ano")
                hLink.NavigateUrl = String.Format("~/Registro/detalles.aspx?animal={0}&sexo={1}&opt=1&modulo=1", DataBinder.Eval(e.Row.DataItem, "AnimalId"), DataBinder.Eval(e.Row.DataItem, "sexo"))

            End If

        Catch ex As Exception
            Throw ex
        End Try
    End Sub

    Public Function CargarTable(ByVal ganaderia As String, ByVal sexo As String, ByVal pCalNota As String, ByVal indNota As Integer) As DataTable
        Dim OrdenSQL As SqlCommand = Nothing
        Dim sqlDR As SqlDataReader = Nothing
        Dim _sqlConexion As New SqlConnection
        _sqlConexion.ConnectionString = ConfigurationManager.ConnectionStrings("GanaderiaConnectionString").ConnectionString
        Dim sSQL As String = ""
        Dim strNota As String = ddlNota.SelectedItem.Text()
        Dim iTodosG As Integer = 0
        Dim iTodosN As Integer = 0
        If (chkGanaderia.Checked) Then
            ganaderia = ""
            iTodosG = 1
        End If
        If (chkNotas.Checked) Then
            strNota = ""
            iTodosN = 1
        End If

        Dim iRango As Integer = ddlRango.SelectedItem.Value()
        If (indNota = 0) Then
            'sSQL = "SELECT NumeroTOP, Ganaderia, Nota,Calificacion, AnimalId, sexo, numero, letra, ano, nombre, [Desc] 'Desc', DescTotal, CAST(ROUND(Porc,1) AS VARCHAR(MAX))+'%' AS Porc " & _
            '    "FROM dbo.[GeneticaTOP] WITH(NOLOCK) " & _
            '    "WHERE Ganaderia='" & ganaderia & "' " & _
            '    "AND Nota='" & strNota & "' " & _
            '    "AND sexo='" & sexo & "' " & _
            '    "AND Calificacion='" & pCalNota & "';"
            sSQL = "EXEC [sp_InfluenciaPorAnimales] '" & ganaderia & "'," & iTodosG & ",'" & sexo & "','" & pCalNota & "','" & strNota & "'," & iTodosN & "," & iRango & ";"
        Else
            'sSQL = "SELECT NumeroTOP, Ganaderia, Nota,Calificacion, AnimalId, sexo, numero, letra, ano, nombre, [Desc] 'Desc', DescTotal, CAST(ROUND(Porc,1) AS VARCHAR(MAX))+'%' AS Porc " & _
            '     "FROM dbo.[GeneticaTOP] WITH(NOLOCK) " & _
            '     "WHERE Ganaderia='" & ganaderia & "' " & _
            '     "AND Nota='" & pCalNota & "' " & _
            '     "AND sexo='" & sexo & "' " & _
            '     "AND Calificacion='';"
            sSQL = "EXEC [sp_InfluenciaPorNOTA] '" & ganaderia & "'," & iTodosG & ",'" & sexo & "','" & pCalNota & "'," & iRango & ";"
        End If

        Dim Resultado As Boolean = False
        OrdenSQL = New SqlCommand(sSQL, _sqlConexion)
        _sqlConexion.Open()
        Try
            OrdenSQL.CommandTimeout = 0
            sqlDR = OrdenSQL.ExecuteReader()
            Dim dt As DataTable = New DataTable()
            dt.Load(sqlDR)
            Return dt
        Catch ex As Exception
            Return New DataTable()
        Finally
            _sqlConexion.Close()
        End Try


    End Function

    'Public Sub CargarGridVacas(ByVal ganaderia As String)
    '    Dim OrdenSQL As SqlCommand = Nothing
    '    Dim sqlDR As SqlDataReader = Nothing
    '    Dim _sqlConexion As New SqlConnection
    '    _sqlConexion.ConnectionString = ConfigurationManager.ConnectionStrings("GanaderiaConnectionString").ConnectionString
    '    Dim sSQL As String = "exec [dbo].[sp_InfluenciaPorClase] '" & ganaderia & "','V';"
    '    Dim Resultado As Boolean = False
    '    OrdenSQL = New SqlCommand(sSQL, _sqlConexion)
    '    _sqlConexion.Open()
    '    Try
    '        sqlDR = OrdenSQL.ExecuteReader()

    '        Dim dt As DataTable = New DataTable()
    '        dt.Load(sqlDR)
    '        grvC1Vacas.DataSource = dt
    '        grvC1Vacas.DataBind()

    '        dt = New DataTable()
    '        dt.Load(sqlDR)
    '        grvC2Vacas.DataSource = dt
    '        grvC2Vacas.DataBind()

    '        dt = New DataTable()
    '        dt.Load(sqlDR)
    '        grvC3Vacas.DataSource = dt
    '        grvC3Vacas.DataBind()

    '    Catch ex As Exception
    '    End Try
    'End Sub

    Protected Sub chkNotas_CheckedChanged(sender As Object, e As EventArgs)
        If (chkNotas.Checked) Then
            ddlNota.Enabled = False
        Else
            ddlNota.Enabled = True
        End If
    End Sub

    Protected Sub chkGanaderia_CheckedChanged(sender As Object, e As EventArgs)
        If (chkGanaderia.Checked) Then
            ddlTipoGanaderia.Enabled = False
        Else
            ddlTipoGanaderia.Enabled = True
        End If
    End Sub
End Class


