﻿Imports DataSet_ohlTableAdapters
Imports DataSet_ohl
Imports System.Data

Partial Class Empadres_MatrizEmp2
    Inherits System.Web.UI.Page
    Private dataSet As DataSet

    Dim TA_Empadre As New empadreTableAdapter
    Dim DT_Empadre As New empadreDataTable

    Dim TA_EmpMov As New Emp_MovsTableAdapter
    Dim DT_EmpMov As New Emp_MovsDataTable

    Dim TA_Ubica As New catalogo_generalTableAdapter
    Dim DT_Ubica As New catalogo_generalDataTable

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            Dim I As Decimal
            For I = Year(Now) To 2006 Step -1
                ddlAno.Items.Add(I)
            Next
            ddlAno.SelectedIndex = 0
        End If
        ddlAno_SelectedIndexChanged(ddlAno, e)

    End Sub

    Protected Sub imgbtnAno_Click(ByVal sender As Object, ByVal e As System.Web.UI.ImageClickEventArgs) Handles imgbtnAno.Click
        ddlAno.Items.Insert(0, ddlAno.Items(0).Value + 1)
        ddlAno.SelectedIndex = 0
        ddlAno_SelectedIndexChanged(ddlAno, e)
    End Sub

    Protected Sub ddlAno_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles ddlAno.SelectedIndexChanged

        tbPrincipal.Rows.Clear()
        lblTitulo.Text = "EMPADRES  AUTORIZADOS   " & ddlAno.SelectedValue.ToString
        'If ddlAno.SelectedIndex = 0 Then
        '    tbPrincipal = Nothing
        'Else
        DT_Empadre = TA_Empadre.GetEmpadreByAnoA(ddlAno.SelectedValue)
        If DT_Empadre.Rows.Count > 0 Then       'Existen datos en Empadre ?
            Dim i, j As Integer
            Dim xNumCol As Integer = DT_Empadre.Rows.Count

            For i = 0 To 4                     'Recorre renglones
                Dim tblRenglon As New TableRow()
                tblRenglon.VerticalAlign = VerticalAlign.Top
                tblRenglon.BorderStyle = BorderStyle.Inset

                For j = -1 To xNumCol - 1       'Recorre columnas
                    Dim tblCelda As New TableCell()
                    Dim lbl As New Label
                    lbl.ID = "celda" & i.ToString & j.ToString
                    If i = 0 Then
                        If j = -1 Then          'Columna de encabezados (NO AUTORIZAR)
                            lbl.Text = "QUITAR"
                            lbl.ForeColor = Drawing.Color.Blue    'LightYellow LemonChiffon Wheat
                            lbl.Font.Bold = True
                            tblCelda.Controls.Add(lbl)              'PowderBlue SkyBlue - Blue
                        Else
                            Dim btnNoAut = New LinkButton
                            AddHandler btnNoAut.Click, AddressOf btnNoAutorizar_Click
                            btnNoAut.ToolTip = DT_Empadre(j).empadreId
                            btnNoAut.Text = "Eliminar"
                            tblCelda.Controls.Add(btnNoAut)
                        End If
                    ElseIf i = 1 Then               'Renglon Ubicacion
                        If j = -1 Then          'Columna de encabezados (Ubicacion)
                            lbl.Text = "UBICACION"
                            lbl.ForeColor = Drawing.Color.Blue    'LightYellow LemonChiffon Wheat
                            'lbl.BackColor = Drawing.Color.LightYellow 'PaleGreen YellowGreen
                            lbl.Font.Bold = True
                            tblCelda.Controls.Add(lbl)              'PowderBlue SkyBlue - Blue
                        Else
                            Try                 'Checa si ubicacion es Nulo
                                lbl.Text = DT_Empadre(j).ubicacion
                            Catch ex As Exception
                                lbl.Text = ""
                            End Try

                            DT_Ubica = TA_Ubica.GetCatGralByTipCve("U", lbl.Text)
                            If DT_Ubica.Rows.Count > 0 Then lbl.Text = DT_Ubica(0).catnom
                            tblCelda.Controls.Add(lbl)
                        End If

                    ElseIf i = 2 Then           'Renglon Clave Semental
                        If j = -1 Then          'Columna de encabezados (Clave Semental)
                            lbl.Text = "SEMENTAL"
                            lbl.ForeColor = Drawing.Color.Blue
                            lbl.Font.Bold = True
                            tblCelda.Controls.Add(lbl)
                        Else
                            lbl.Text = DT_Empadre(j).toro
                            lbl.ForeColor = Drawing.Color.Maroon
                            lbl.BackColor = Drawing.Color.PaleGreen
                            lbl.Font.Bold = True
                            tblCelda.Controls.Add(lbl)
                        End If

                    ElseIf i = 3 Then           'Renglon Nombre Semental
                        If j = -1 Then          'Columna de encabezados (Nombre Semental)
                            lbl.Text = "NOMBRE"
                            lbl.ForeColor = Drawing.Color.Blue
                            lbl.Font.Bold = True
                            tblCelda.Controls.Add(lbl)
                        Else
                            lbl.Text = DT_Empadre(j).nombre
                            tblCelda.Controls.Add(lbl)
                        End If

                    ElseIf i = 4 Then           'Renglon Hembras (GRID)
                        If j = -1 Then          'Columna de encabezados (Hembras)
                            lbl.Text = "HEMBRAS"
                            lbl.ForeColor = Drawing.Color.Blue
                            lbl.Font.Bold = True
                            tblCelda.Controls.Add(lbl)
                        Else
                            DT_EmpMov = TA_EmpMov.Get_EM_ByEmp(CType(DT_Empadre(j).empadreId, Integer))
                            If DT_EmpMov.Rows.Count > 0 Then        'Existen datos en EmpMovs ?

                                Dim grdEmp As New GridView
                                grdEmp.AutoGenerateColumns = False
                                grdEmp.AutoGenerateEditButton = True
                                grdEmp.DataKeyNames = {"empadreId", "vacaId", "ano"}
                                AddHandler grdEmp.RowCommand, AddressOf OnRowCommand
                                AddHandler grdEmp.RowEditing, AddressOf OnRowEditing
                                'AddHandler grdEmp.RowCommand, AddressOf OnRowCommand
                                Dim xbound1 As New BoundField
                                Dim lname1, lname2 As New TemplateField()
                                xbound1.HeaderText = "VACAS"
                                lname1.HeaderText = "INICIO"
                                lname2.HeaderText = "FIN"

                                xbound1.DataField = "Vaca"
                                lname1.ItemTemplate = New AddTemplateToGridView(ListItemType.Item, "fechaini", "txt")
                                lname2.ItemTemplate = New AddTemplateToGridView(ListItemType.Item, "fechafin", "txt")

                                'xbound2.DataFormatString = "{0:d}"
                                'xbound3.DataFormatString = "{0:d}"                               
                                lname1.ItemStyle.Width = 75
                                lname2.ItemStyle.Width = 75

                                grdEmp.Columns.Add(xbound1)
                                grdEmp.Columns.Add(lname1)
                                grdEmp.Columns.Add(lname2)

                                grdEmp.ID = "grdVE" & i.ToString & j.ToString
                                grdEmp.DataSource = DT_EmpMov
                                grdEmp.DataBind()
                                'grdEmp.Columns.Item(0).Visible = False
                                'grdEmp.Columns.Item(1).HeaderText = "grdVE" & i.ToString & j.ToString

                                tblCelda.Controls.Add(grdEmp)
                            End If
                        End If
                    Else

                    End If
                    tblCelda.Controls.Add(New LiteralControl())
                    tblRenglon.Cells.Add(tblCelda)
                Next
                tbPrincipal.Rows.Add(tblRenglon)

            Next
        End If
        'End If
    End Sub


    Protected Sub OnRowEditing(sender As Object, e As GridViewEditEventArgs)

    End Sub

    Protected Sub OnRowCommand(sender As Object, e As GridViewCommandEventArgs)
        Try
            lblMsg.Text = ""
            trMsg.Visible = False
            Dim index As Integer = 0
            Dim row As GridViewRow
            Dim grid As GridView = TryCast(sender, GridView)
            Dim empID, vacaID, ano, fechaIni, fechaFin As String

            index = Convert.ToInt32(e.CommandArgument)
            row = grid.Rows(index)

            Dim txtIni As TextBox = row.FindControl("fechaini")
            Dim txtFin As TextBox = row.FindControl("fechafin")
            Dim dtFI, dtFF As Date

            If (DateTime.TryParse(txtIni.Text, dtFI) And DateTime.TryParse(txtFin.Text, dtFF)) Then
                grid.SelectedIndex = index
                empID = grid.SelectedDataKey(0)
                vacaID = grid.SelectedDataKey(1)
                ano = grid.SelectedDataKey(2)
                fechaIni = txtIni.Text
                fechaFin = txtFin.Text
                UpdateFechas(empID, vacaID, ano, "fechaini", fechaIni)
                UpdateFechas(empID, vacaID, ano, "fechafin", fechaFin)
            Else
                lblMsg.Text = "La fecha debe tener el  formato(dd/MM/yyyy)"
                trMsg.Visible = True
            End If
        Catch ex As Exception
            lblMsg.Text = ex.Message
            trMsg.Visible = True
            Throw ex
        End Try

    End Sub

    Public Sub UpdateFechas(ByVal empID As String, ByVal VacaID As String, ByVal anio As String, ByVal TipoFecha As String, ByVal Fecha As String)
        Dim sdsFechas As New SqlDataSource
        Dim sSQL As String
        sSQL = "UPDATE Emp_Movs " & _
                " SET " & TipoFecha & "='" & Fecha & "' " & _
                "WHERE empadreid=" & empID & " AND vacaId=" & VacaID & " AND ano=" & anio & ";"
        Try
            sdsFechas = New SqlDataSource
            sdsFechas.ConnectionString = ConfigurationManager.ConnectionStrings("GanaderiaConnectionString").ConnectionString
            sdsFechas.UpdateCommand = sSQL
            sdsFechas.Update()

        Catch ex As Exception
            'Response.Write(ex.Message)
            lblMsg.Text = ex.Message
            trMsg.Visible = True
        End Try
    End Sub

    Protected Sub btnNoAutorizar_Click(sender As Object, e As EventArgs)
        Dim btn As LinkButton = DirectCast(sender, LinkButton)
        If (btn.ToolTip.Length > 0) Then
            UpdateFechas(btn.ToolTip.ToString())
            ddlAno_SelectedIndexChanged(ddlAno, e)
        End If
    End Sub

    Public Sub UpdateFechas(ByVal empID As String)
        Dim sdsNoAut As New SqlDataSource
        Dim sSQL As String
        sSQL = "UPDATE empadre " & _
                " SET estatus='N' " & _
                "WHERE empadreid=" & empID & ";"
        Try
            sdsNoAut = New SqlDataSource
            sdsNoAut.ConnectionString = ConfigurationManager.ConnectionStrings("GanaderiaConnectionString").ConnectionString
            sdsNoAut.UpdateCommand = sSQL
            sdsNoAut.Update()

        Catch ex As Exception
            'Response.Write(ex.Message)
            lblMsg.Text = ex.Message
            trMsg.Visible = True
        End Try
    End Sub

End Class
