﻿<%@ Page Title="" Language="VB" MasterPageFile="~/masterpages/MaestraEstadistica.master" AutoEventWireup="false" CodeFile="AnimalesComentario.aspx.vb" Inherits="Estadistica_AnimalesComentario" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
    <link media="screen" rel="stylesheet" href="../Estilos/colorbox.css" />
    <link href="../Estilos/formulario.css" rel="Stylesheet" type="text/css" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" Runat="Server">
    <center>
        <table width="50%" style="font-family: Calibri, Arial; font-weight: bold; font-size: 16px">
            <tr>
                <td colspan="2" class="FormHeaderTD">                    
                    <asp:Label ID="lblTitulo" runat="server" 
                        Text="Filtro para Animales por comentario"></asp:Label>
                </td>
            </tr>
            <tr>
                <td class="FormHeaderTD">
                    <asp:Label ID="lblComentario" runat="server" 
                        Text="Comentario:"></asp:Label>
                </td>
                <td>
                    <asp:DropDownList ID="ddlComentarioAnimal" runat="server" Width="100px" style="height: 28px">
                        <asp:ListItem Selected="True" Value="0">Ambos</asp:ListItem>
                        <asp:ListItem Value="C1">C1</asp:ListItem>
                        <asp:ListItem Value="C2">C2</asp:ListItem>
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td class="FormHeaderTD">
                    <asp:Label ID="lblAnoIni" runat="server" 
                        Text="Año Inicial:"></asp:Label>
                </td>
                <td>
                    <asp:DropDownList ID="ddlAnoIno" runat="server" style="height: 28px" 
                        DataSourceID="odsAno" DataTextField="ano" DataValueField="ano"
                        Width="100px">
                        <asp:ListItem Selected="True" Value="0">Todos</asp:ListItem>
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td class="FormHeaderTD">
                    <asp:Label ID="lblAnoFin" runat="server" 
                        Text="Año Final:"></asp:Label>
                </td>
                <td>
                    <asp:DropDownList ID="ddlAnoFin" runat="server" style="height: 28px"
                        DataSourceID="odsAno" DataTextField="ano" DataValueField="ano" 
                        Width="100px">
                        <asp:ListItem Selected="True" Value="0">Todos</asp:ListItem>
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td colspan="2" align="right">
                    <asp:Button ID="btnProcesar" runat="server" Text="Procesar" />                    
                </td>
            </tr>
        </table>
    </center>
    <table width="100%" style="font-family: Calibri, Arial; font-weight: bold; font-size: 16px">
        <tr>
            <td>
                    
                <asp:GridView ID="grvAnimalesComentario" runat="server" 
                    AutoGenerateColumns="False">
                    <Columns>
                        <asp:BoundField DataField="AnimalId" HeaderText="Id" />
                        <asp:BoundField DataField="animalxx" HeaderText="Animal" />
                        <asp:BoundField DataField="sexo" HeaderText="Sexo" />
                        <asp:BoundField DataField="cometario" HeaderText="Comentario" />
                        <asp:BoundField DataField="hijos" HeaderText="Hijos" />
                        <asp:BoundField DataField="hijas" HeaderText="Hijas" />
                        <asp:CommandField SelectText="Graficar" ShowSelectButton="True" />
                    </Columns>
                </asp:GridView>
                    
            </td>
        </tr>
    </table>
    <asp:ObjectDataSource ID="odsAno" runat="server" 
        OldValuesParameterFormatString="original_{0}" SelectMethod="GetAno" 
        TypeName="DataSet_mdsTableAdapters.anoTableAdapter"></asp:ObjectDataSource>
</asp:Content>

