﻿Imports System.Data
Imports System.Web.UI.DataVisualization.Charting

Partial Class Estadistica_GraficaConsultasCrias
    Inherits System.Web.UI.Page
    Dim detalleFiltro As New DataSet_mdsTableAdapters.filtroDetalleTableAdapter
    Dim utilCalif As New CalificacionesUtil()

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Try          
            Dim idFiltro As Integer
            idFiltro = Convert.ToInt32(Request.Params("idFiltro"))

            Dim detalleDT As DataSet_mds.filtroDetalleDataTable

            detalleDT = detalleFiltro.GetFiltroDetalleByFiltro(idFiltro)

            Dim clausulas As String
            clausulas = ""

            For Each fila As DataSet_mds.filtroDetalleRow In detalleDT.Rows
                Dim campo As String
                Dim valor1 As String
                Dim valor2 As String
                Dim slike As String

                slike = "0"

                campo = fila.campo.Trim()
                valor1 = fila.valor1.Trim()
                valor2 = fila.valor2.Trim()

                If campo.Equals("_FECHABAJA") Then
                    campo = "FECHABAJA"
                End If
                If campo.Equals("/COMETARIO") Then
                    campo = "COMETARIO"
                    slike = "1"
                End If

                If valor2.Equals("") Then
                    If valor1.Equals("IS NULL") Or valor1.Equals("IS NOT NULL") Then
                        clausulas = clausulas & " AND " & campo & " " & valor1 & " "
                    Else
                        If slike.Equals("1") Then
                            clausulas = clausulas & " AND " & campo & " LIKE '%" & valor1 & "%' "
                        Else
                            clausulas = clausulas & " AND " & campo & " = '" & valor1 & "' "
                        End If
                    End If
                Else
                    If True Then
                    Else
                        clausulas = clausulas & " AND " & campo & " >= '" & valor1 & "' "
                        clausulas = clausulas & " AND " & campo & " <= '" & valor2 & "' "
                    End If
                End If

            Next (fila)

            parents_SQL_DS.SelectCommand = "select AnimalId,sexo from animal where '' = '' " & clausulas & " order by ano"

            Dim resultset As Data.DataView = CType(parents_SQL_DS.Select(DataSourceSelectArguments.Empty), Data.DataView)

            Dim inPadres As String = " AND (id_padre IN "
            Dim inMadres As String = " id_madre IN "

            Dim cuentaPadres As Integer = 0
            Dim cuentaMadres As Integer = 0

            For Each fila As Data.DataRowView In resultset
                If fila("sexo").ToString().Equals("T") Then
                    If cuentaPadres = 0 Then
                        inPadres = inPadres & " (" & fila("AnimalId")
                    Else
                        inPadres = inPadres & "," & fila("AnimalId")
                    End If
                    cuentaPadres += 1
                Else
                    If cuentaMadres = 0 Then
                        inMadres = inMadres & " (" & fila("AnimalId")
                    Else
                        inMadres = inMadres & "," & fila("AnimalId")
                    End If
                    cuentaMadres += 1
                End If
            Next

            If cuentaPadres = 0 And cuentaMadres = 0 Then
                clausulas = ""
            End If
            If cuentaPadres > 0 And cuentaMadres > 0 Then
                inPadres = inPadres & ") "
                inMadres = inMadres & ")) "
                clausulas = inPadres & " OR " & inMadres
            End If
            If cuentaPadres > 0 And cuentaMadres = 0 Then
                inPadres = inPadres & ")) "
                clausulas = inPadres
            End If
            If cuentaPadres = 0 And cuentaMadres > 0 Then
                inMadres = inMadres & ") "
                inMadres = " AND " & inMadres
                clausulas = inMadres
            End If

            Dim args As New DataSourceSelectArguments()
            Dim view As DataView
            Dim Media As Double
            tientaAP_SQL_DS.SelectCommand = getCadenaConsulta("tienta_ap", clausulas, "tienta_fecha")
            With GraficaTienta_AP.Series(0)
                .XValueMember = "ano"
                .YValueMembers = "valorCalificacion"
                .LabelToolTip = "#VALX"
            End With
            With GraficaTienta_AP.Series(1)
                .XValueMember = "ano"
                .YValueMembers = "valorCalificacion"
                .LabelToolTip = "#VALX"
            End With
            GraficaTienta_AP.DataBind()
            CargarAxisY(GraficaTienta_AP.ChartAreas)
            view = tientaAP_SQL_DS.Select(args)
            AgregarPorcentajes(GraficaTienta_AP, view.ToTable(), CaluculaDE("tienta_ap", clausulas, "tienta_fecha"))
            GraficaTienta_AP.Legends("Animales").Enabled = False
            Media = GraficaTienta_AP.DataManipulator.Statistics.Mean("TotalAnimales")
            GraficaTienta_AP.ChartAreas("ChartArea1").AxisY.StripLines(0).IntervalOffset = Media

            tientaAC_SQL_DS.SelectCommand = getCadenaConsulta("tienta_ac", clausulas, "tienta_fecha")
            With GraficaTienta_AC.Series(0)
                .XValueMember = "ano"
                .YValueMembers = "valorCalificacion"
                .LabelToolTip = "#VALX"
            End With
            With GraficaTienta_AC.Series(1)
                .XValueMember = "ano"
                .YValueMembers = "valorCalificacion"
                .LabelToolTip = "#VALX"
            End With
            GraficaTienta_AC.DataBind()
            CargarAxisY(GraficaTienta_AC.ChartAreas)
            view = tientaAC_SQL_DS.Select(args)
            AgregarPorcentajes(GraficaTienta_AC, view.ToTable(), CaluculaDE("tienta_ac", clausulas, "tienta_fecha"))
            GraficaTienta_AC.Legends("Animales").Enabled = False
            Media = GraficaTienta_AC.DataManipulator.Statistics.Mean("TotalAnimales")
            GraficaTienta_AC.ChartAreas("ChartArea1").AxisY.StripLines(0).IntervalOffset = Media

            lidiaAP_SQL_DS.SelectCommand = getCadenaConsulta("lidia_ap", clausulas, "lidia_fecha")
            With GraficaLidia_AP.Series(0)
                .XValueMember = "ano"
                .YValueMembers = "valorCalificacion"
                .LabelToolTip = "#VALX"
            End With
            With GraficaLidia_AP.Series(1)
                .XValueMember = "ano"
                .YValueMembers = "valorCalificacion"
                .LabelToolTip = "#VALX"
            End With
            GraficaLidia_AP.DataBind()
            CargarAxisY(GraficaLidia_AP.ChartAreas)
            view = lidiaAP_SQL_DS.Select(args)
            AgregarPorcentajes(GraficaLidia_AP, view.ToTable(), CaluculaDE("lidia_ap", clausulas, "lidia_fecha"))
            GraficaLidia_AP.Legends("Animales").Enabled = False
            Media = GraficaLidia_AP.DataManipulator.Statistics.Mean("TotalAnimales")
            GraficaLidia_AP.ChartAreas("ChartArea1").AxisY.StripLines(0).IntervalOffset = Media

            lidiaAC_SQL_DS.SelectCommand = getCadenaConsulta("lidia_ac", clausulas, "lidia_fecha")
            With GraficaLidia_AC.Series(0)
                .XValueMember = "ano"
                .YValueMembers = "valorCalificacion"
                .LabelToolTip = "#VALX"
            End With
            With GraficaLidia_AC.Series(1)
                .XValueMember = "ano"
                .YValueMembers = "valorCalificacion"
                .LabelToolTip = "#VALX"
            End With
            GraficaLidia_AC.DataBind()
            CargarAxisY(GraficaLidia_AC.ChartAreas)
            view = lidiaAC_SQL_DS.Select(args)
            AgregarPorcentajes(GraficaLidia_AC, view.ToTable(), CaluculaDE("lidia_ac", clausulas, "lidia_fecha"))
            GraficaLidia_AC.Legends("Animales").Enabled = False
            Media = GraficaLidia_AC.DataManipulator.Statistics.Mean("TotalAnimales")
            GraficaLidia_AC.ChartAreas("ChartArea1").AxisY.StripLines(0).IntervalOffset = Media
        Catch ex As Exception

        End Try
    End Sub
    Private Function getCadenaConsulta(ByVal tipo As String, ByVal clausulas As String, ByVal sFecha As String) As String
        Dim sconsulta As String

        sconsulta = "SELECT " & _
                        "year(a." & sFecha & ") AS ano, " & _
                        "AVG(c.valor) AS valorCalificacion, " & _
                       "COUNT(a.AnimalId) as total, " & _
                        "(SELECT COUNT(1) FROM dbo.animal " & "WHERE '' = '' " & _
                                                                clausulas & _
                    " AND year(" & sFecha & ")=year(a." & sFecha & ") AND (CASE WHEN " & tipo & " = 'S' THEN 9 " & _
                                                                                 "WHEN " & tipo & " = 'MB' THEN 8 " & _
                                                                                 "WHEN " & tipo & " = '+B' THEN 7 " & _
                                                                                 "WHEN " & tipo & " = 'B' THEN 6 " & _
                                                                                 "WHEN " & tipo & " = '-B' THEN 5 " & _
                                                                                 "WHEN " & tipo & " = '+R' THEN 4 " & _
                                                                                 "WHEN " & tipo & " = 'R' THEN 3 " & _
                                                                                 "WHEN " & tipo & " = '-R' THEN 2 " & _
                                                                                 "WHEN " & tipo & " = 'M' THEN 1 " & _
                                                                                 "END)=AVG(c.valor)) as animales " & _
                        ",CASE " & _
                            "when AVG(c.valor)=9 then 'S' " & _
                            "when AVG(c.valor)=8 then 'MB' " & _
                            "when AVG(c.valor)=7 then '+B' " & _
                            "when AVG(c.valor)=6 then 'B' " & _
                            "when AVG(c.valor)=5 then '-B' " & _
                            "when AVG(c.valor)=4 then '+R' " & _
                            "when AVG(c.valor)=3 then 'R' " & _
                            "when AVG(c.valor)=2 then '-R' " & _
                            "when AVG(c.valor)=1 then 'M' " & _
                        "END as calificacion " & _
                    "FROM (SELECT " & _
                                "DISTINCT " & tipo & ", " & _
                                "CASE " & _
                                    "WHEN " & tipo & " = 'S' THEN 9 " & _
                                    "WHEN " & tipo & " = 'MB' THEN 8 " & _
                                    "WHEN " & tipo & " = '+B' THEN 7 " & _
                                    "WHEN " & tipo & " = 'B' THEN 6 " & _
                                    "WHEN " & tipo & " = '-B' THEN 5 " & _
                                    "WHEN " & tipo & " = '+R' THEN 4 " & _
                                    "WHEN " & tipo & " = 'R' THEN 3 " & _
                                    "WHEN " & tipo & " = '-R' THEN 2 " & _
                                    "WHEN " & tipo & " = 'M' THEN 1 " & _
                                "END AS valor " & _
                            "FROM animal " & _
                            "WHERE " & tipo & " IN ('S', 'MB', '+B', 'B', '-B', '+R', 'R', '-R', 'M') " & _
                    ") AS c " & _
                        "INNER JOIN animal AS a " & _
                        "ON c." & tipo & " = a." & tipo & " " & _
                    "WHERE '' = '' " & _
                    clausulas & _
                    " AND year(a." & sFecha & ") IS NOT NULL " & _
                    "GROUP BY year( a." & sFecha & ") " & _
                    "ORDER BY year(a." & sFecha & ")"
        Return sconsulta
    End Function

    Public Sub CargarAxisY(ByRef chartArea As ChartAreaCollection)

        Dim LabelsY As CustomLabelsCollection
        LabelsY = chartArea(0).AxisY.CustomLabels

        LabelsY.Add(0.5, 1.5, "M")
        LabelsY.Add(1.5, 2.5, "-R")
        LabelsY.Add(2.5, 3.5, "R")
        LabelsY.Add(3.5, 4.5, "+R")
        LabelsY.Add(4.5, 5.5, "-B")
        LabelsY.Add(5.5, 6.5, "B")
        LabelsY.Add(6.5, 7.5, "+B")
        LabelsY.Add(7.5, 8.5, "MB")
        LabelsY.Add(8.5, 9.5, "S")

        With chartArea(0)
            .AxisY.Interval = 1
            .AxisY.Minimum = 0
            .AxisY.Maximum = 9
            .AxisY.Title = "Calificaciones"
            .AxisX.Title = "Año"
            .AxisX.MajorGrid.Enabled = False
        End With
    End Sub
    Public Sub AgregarPorcentajes(ByVal dgv As Chart, ByVal dsConsulta As DataTable, ByVal dtDE As DataTable)

        For Each Punto In dgv.Series(0).Points
            For Each Row As DataRow In dsConsulta.Rows
                If (Punto.XValue.ToString = Row.Item("ano").ToString) Then
                    Punto.Label = Row.Item("total")
                    Punto.LabelForeColor = Drawing.Color.White
                End If
            Next
        Next


        For Each Punto In dgv.Series(1).Points
            For Each Row As DataRow In dsConsulta.Rows
                If (Punto.XValue.ToString = Row.Item("ano").ToString) Then
                    Dim iPorcentaje As Integer = 0
                    If (Row.Item("total") > 0) Then
                        iPorcentaje = (Row.Item("animales") / Row.Item("total")) * 100
                    Else
                        iPorcentaje = 0
                    End If
                    Punto.SetCustomProperty("BarLabelStyle", "Center")

                    Dim strQuery As String = "Anio=" & Punto.XValue.ToString
                    Dim strDE As Double = 0
                    For Each dr In dtDE.Select(strQuery)
                        If (dr.Item("DE").ToString.Length > 0) Then
                            strDE = dr.Item("DE")
                        End If
                    Next
                    Punto.Label = Row.Item("calificacion") & "(" & iPorcentaje & "%)" & "(" & strDE.ToString("#.##") & ")"
                End If
            Next
        Next
    End Sub


    Public Function CaluculaDE(ByVal Tipo As String, ByVal clausulas As String, ByVal sFecha As String) As DataTable
        Dim sSQL As String
        Dim SqlDs As New SqlDataSource()
        SqlDs.ConnectionString = ConfigurationManager.ConnectionStrings("GanaderiaConnectionString").ConnectionString

        sSQL = "SELECT " & _
                       "year(a." & sFecha & ") ano, " & _
                        "AVG(c.valor) AS valorCalificacion, " & _
                        "COUNT(a.AnimalId) as total, " & _
                        "(SELECT COUNT(1) FROM dbo.animal WHERE year(" & sFecha & ")=year(a." & sFecha & ") AND (CASE WHEN " & Tipo & " = 'S' THEN 9 " & _
                                                                                 "WHEN " & Tipo & " = 'MB' THEN 8 " & _
                                                                                 "WHEN " & Tipo & " = '+B' THEN 7 " & _
                                                                                 "WHEN " & Tipo & " = 'B' THEN 6 " & _
                                                                                 "WHEN " & Tipo & " = '-B' THEN 5 " & _
                                                                                 "WHEN " & Tipo & " = '+R' THEN 4 " & _
                                                                                 "WHEN " & Tipo & " = 'R' THEN 3 " & _
                                                                                 "WHEN " & Tipo & " = '-R' THEN 2 " & _
                                                                                 "WHEN " & Tipo & " = 'M' THEN 1 " & _
                                                                                 "END )=AVG(c.valor)) as animales " & _
                        "FROM (SELECT " & _
                                "DISTINCT " & Tipo & ", " & _
                                "CASE " & _
                                    "WHEN " & Tipo & " = 'S' THEN 9 " & _
                                    "WHEN " & Tipo & " = 'MB' THEN 8 " & _
                                    "WHEN " & Tipo & " = '+B' THEN 7 " & _
                                    "WHEN " & Tipo & " = 'B' THEN 6 " & _
                                    "WHEN " & Tipo & " = '-B' THEN 5 " & _
                                    "WHEN " & Tipo & " = '+R' THEN 4 " & _
                                    "WHEN " & Tipo & " = 'R' THEN 3 " & _
                                    "WHEN " & Tipo & " = '-R' THEN 2 " & _
                                    "WHEN " & Tipo & " = 'M' THEN 1 " & _
                                "END AS valor " & _
                            "FROM animal " & _
                            "WHERE " & Tipo & " IN ('S', 'MB', '+B', 'B', '-B', '+R', 'R', '-R', 'M') " & _
                    ") AS c " & _
                        "INNER JOIN animal AS a " & _
                        "ON c." & Tipo & " = a." & Tipo & " " & _
                    "WHERE '' = '' " & _
                    clausulas & _
                    " AND year(a." & sFecha & ") IS NOT NULL " & _
                    "GROUP BY year( a." & sFecha & "),c.valor " & _
                    "ORDER BY year(a." & sFecha & "),c.valor "

        SqlDs.SelectCommand = sSQL
        Dim dtDE As New DataTable()
        dtDE.Columns.Add("Anio")
        dtDE.Columns.Add("DE")
        Dim anio As String = ""
        Dim strQuery As String
        Dim listaDatos As New List(Of Double)
        Dim resultset As Data.DataView = CType(SqlDs.Select(DataSourceSelectArguments.Empty), Data.DataView)
        For Each fila As Data.DataRowView In resultset
            anio = fila("ano")
            strQuery = "Anio=" & anio
            If (dtDE.Select(strQuery).Length = 0) Then
                Dim drDe = dtDE.NewRow
                drDe.Item("Anio") = anio
                dtDE.Rows.Add(drDe)
                listaDatos = New List(Of Double)
                listaDatos.Add(fila("animales"))
            Else
                For Each dr In dtDE.Select(strQuery)
                    listaDatos.Add(fila("animales"))
                    dr.Item("DE") = DesviacionStandard(listaDatos)
                Next
            End If
        Next

        Return dtDE
    End Function
    Public Function DesviacionStandard(listaDatos As List(Of Double)) As Double
        Dim desvStd As Double = 0
        Dim N As Double = 0, prom As Double = 0, suma As Double = 0, NrestadoUno As Double = 0, sumapotencias As Double = 0
        N = listaDatos.Count
        NrestadoUno = N - 1
        For Each dato As Double In listaDatos
            suma += dato
        Next
        prom = suma / N
        For Each dato As Double In listaDatos
            sumapotencias += Math.Pow((dato - prom), 2)
        Next
        desvStd = Math.Sqrt((1 * sumapotencias) / NrestadoUno)
        Return desvStd
    End Function
End Class
