<%@ Page Language="VB" MasterPageFile="~/masterpages/MaestraEstado.master" AutoEventWireup="false"
    CodeFile="ubicaciones.aspx.vb" Inherits="Estado_ubicaciones" Title="Ubicaciones" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajaxToolkit" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <link media="screen" rel="stylesheet" href="../Estilos/colorbox.css" />

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js" type="text/javascript"></script>

    <script src="../jscripts/colorbox/jquery.colorbox.js" type="text/javascript"></script>

    <link href="../Estilos/formulario.css" rel="Stylesheet" type="text/css" />

    <script type="text/javascript">
        $(document).ready(function() {
            //Examples of how to assign the ColorBox event to elements
            $(".detalles").colorbox({ width: "900px", height: "610px", iframe: true });
        });
    </script>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="Server">
    <ajaxToolkit:ToolkitScriptManager ID="ToolkitScriptManager1" runat="server">
    </ajaxToolkit:ToolkitScriptManager>
    <div class="editar">
        <asp:SqlDataSource ID="sdsAnimales" runat="server" ConnectionString="<%$ ConnectionStrings:GanaderiaConnectionString %>"
            SelectCommand="SELECT        ubicacion,
                             (SELECT        catnom
                               FROM            catalogo_general
                               WHERE        (cattip = 'U') AND (catcve = animal.ubicacion)) AS NombreUbicacion, COUNT(ubicacion) AS numero
FROM            animal
WHERE        (propiedad = 'SFC') AND (fechabaja IS NULL) AND (ubicacion IN
                             (SELECT        catcve
                               FROM            catalogo_general AS catalogo_general_1
                               WHERE        (cattip = 'U')))
GROUP BY ubicacion
ORDER BY NombreUbicacion" DataSourceMode="DataReader"></asp:SqlDataSource>
        <asp:SqlDataSource ID="sdsCorrales" runat="server" ConnectionString="<%$ ConnectionStrings:GanaderiaConnectionString %>"
            SelectCommand="SELECT [catcve], [catnom] FROM [catalogo_general] WHERE ([cattip] = 'U') ORDER BY [catnom]">
        </asp:SqlDataSource>
        <table width="900px" align="center" height="28px">
            <tr>
                <td valign="top" width="250px" align="center">
                    &nbsp;
                </td>
                <td width="30px">
                    &nbsp;
                </td>
                <td align="center" class="FormHeaderTD" style="font-family: Calibri, Arial; font-weight: bold;
                    font-size: 16px">
                    DISTRIBUCIN DE ANIMALES
                </td>
                <td width="30px">
                    &nbsp;
                </td>
                <td width="250px" valign="top">
                    <%--<asp:Panel ID="pnActualizado" runat="server" CssClass="success">
                        <asp:Label runat="server" ID="lblRespuesta" Text="" />
                    </asp:Panel>--%>
                </td>
            </tr>
        </table>
        <fieldset>
            <legend>Corrales</legend>
            <br />
            <table align="center">
                <tr>
                   <%-- <td class="FormHeaderTD" align="center" width="60px">
                        BUSCAR:
                    </td>
                    <td align="center" class="DataTD" width="100px">
                        <asp:TextBox onkeydown = "return (event.keyCode!=13);" ID="txtAnimalBuscar" runat="server" Text="" CssClass="text" MaxLength="10"
                            Width="80px" ToolTip="Ingrese el animal a busca" ValidationGroup="Buscar"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvAnimal" runat="server" ErrorMessage="Ingrese el animal a buscar"
                            ControlToValidate="txtAnimalBuscar" ValidationGroup="Buscar">*</asp:RequiredFieldValidator>
                        <ajaxToolkit:ValidatorCalloutExtender ID="vceAnimal" runat="server" TargetControlID="rfvAnimal" />
                        <ajaxToolkit:TextBoxWatermarkExtender ID="txtAnimal_TextBoxWatermarkExtender" runat="server"
                            Enabled="True" TargetControlID="txtAnimalBuscar" WatermarkText="T123C1980" WatermarkCssClass="watermarked">
                        </ajaxToolkit:TextBoxWatermarkExtender>
                    </td>
                    <td class="DataTD" width="18px">
                        <asp:ImageButton ID="imgBtnBuscar" runat="server" ImageUrl="~/images/icon-find.png"
                            ValidationGroup="Buscar" />
                    </td>
                    <td class="FormHeader" align="center" width="140px">
                        <asp:Label ID="lblResUbicacion" runat="server">CORRAL HERRADERO SFC</asp:Label>
                    </td>
                    <td width="25px">
                        &nbsp;
                    </td>--%>

                    <td class="FormHeaderTD" align="center" width="55px">
                        MOVER:&nbsp;
                    </td>
                    <td class="DataTD" width="170px">
                        <asp:DropDownList ID="ddlDestino" runat="server" AppendDataBoundItems="True" DataSourceID="sdsCorrales"
                            DataTextField="catnom" DataValueField="catcve" ToolTip="Selecciona la ubicacin"
                            ValidationGroup="Mover">
                            <asp:ListItem Selected="True"></asp:ListItem>
                        </asp:DropDownList>
                        <asp:RequiredFieldValidator ID="rfvUbicacion" runat="server" ErrorMessage="Selecciona la ubicacin destino"
                            ValidationGroup="Mover" ControlToValidate="ddlDestino">*</asp:RequiredFieldValidator>
                        <ajaxToolkit:ValidatorCalloutExtender ID="vceNoUbicacion" runat="server" TargetControlID="rfvUbicacion" />
                    </td>
                    <td class="DataTD">
                        <asp:Button ID="btnMover" runat="server" Text="Aceptar" CssClass="boton" ValidationGroup="Mover" />
                    </td>
                </tr>
            </table>
            <table align="center" cellpadding="0" cellspacing="0">
                <tbody>
                   <%-- <tr>
                        <td class="DataTD" colspan="2">
                            <asp:CheckBoxList ID="cblUbicaciones" runat="server" DataSourceID="sdsCorrales" DataTextField="catnom"
                                DataValueField="catcve" RepeatColumns="6" RepeatDirection="Horizontal" CellPadding="3"
                                CellSpacing="3">
                            </asp:CheckBoxList>
                        </td>
                    </tr>--%>
                    <tr>
                        <td width="550px">
                            &nbsp;
                        </td>
                        <td align="center">
                            <asp:HyperLink ID="hlMostrar" runat="server" 
                                NavigateUrl="~/Estado/NoAsignado.aspx">Mostrar animales no asignados >></asp:HyperLink>
                        </td>
                    </tr>
                </tbody>
            </table>
           
            <asp:DataList ID="dlAnimales" runat="server" CellPadding="4" CellSpacing="10" DataSourceID="sdsAnimales"
                HorizontalAlign="Center" RepeatColumns="4" RepeatDirection="Horizontal" ForeColor="#333333">
                <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                <AlternatingItemStyle BackColor="White" ForeColor="#284775" />
                <ItemStyle BackColor="#F7F6F3" ForeColor="#333333" VerticalAlign="Top" />
                <SelectedItemStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
                <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                <ItemTemplate>
                    <asp:HiddenField ID="ubicacion" runat="server" Value='<%# Eval("ubicacion") %>' />
                    <center>
                        <h3>
                            <asp:Label ID="NombreUbicacionLabel" runat="server" Text='<%# Eval("NombreUbicacion") %>' /></h3>
                    </center>
                    <asp:GridView ID="gvCorral" runat="server" AutoGenerateColumns="False" CellPadding="4"
                        DataKeyNames="AnimalId" DataSourceID="odsAnimalesByUbicacion" ForeColor="#333333"
                        GridLines="None" AllowPaging="False" PageSize="15" PagerSettings-Position="TopAndBottom">
                        <PagerSettings Position="TopAndBottom" />
                        <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
                        <Columns>
                            <asp:TemplateField>
                                <ItemTemplate>
                                    <%# Container.DataItemIndex + 1 %>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="">
                                <ItemTemplate>
                                    <asp:CheckBox ID="chkItemSelect" runat="server" />
                                </ItemTemplate>
                                <EditItemTemplate>
                                </EditItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="Animal" SortExpression="numero">
                                <ItemTemplate>
                                    <asp:HyperLink ID="hlAnimal" runat="server" ToolTip="Detalles del animal" NavigateUrl='<%# String.Format("~/Registro/detalles.aspx?animal={0}&sexo={1}",Eval("AnimalID"),Eval("sexo"))%>'
                                        Text='<%# Eval("clave")%>' CssClass="detalles"></asp:HyperLink>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:BoundField DataField="nombre" HeaderText="nombre" SortExpression="nombre" />
                        </Columns>
                        <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                        <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
                        <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
                        <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                        <EditRowStyle BackColor="#999999" />
                        <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
                    </asp:GridView>
                    <asp:ObjectDataSource ID="odsAnimalesByUbicacion" runat="server" DeleteMethod="Delete"
                        InsertMethod="Insert" OldValuesParameterFormatString="original_{0}" SelectMethod="GetAnimalesByUbicacion"
                        TypeName="Tom0014TableAdapters.ubicacionTableAdapter" UpdateMethod="Update">
                        <DeleteParameters>
                            <asp:Parameter Name="Original_AnimalId" Type="Int32" />
                        </DeleteParameters>
                        <UpdateParameters>
                            <asp:Parameter Name="ubicacion" Type="String" />
                            <asp:Parameter Name="Original_AnimalId" Type="Int32" />
                        </UpdateParameters>
                        <SelectParameters>
                            <asp:ControlParameter ControlID="ubicacion" DefaultValue="?" Name="ubicacion" PropertyName="Value"
                                Type="String" />
                        </SelectParameters>
                        <InsertParameters>
                            <asp:Parameter Name="sexo" Type="String" />
                            <asp:Parameter Name="numero" Type="Int32" />
                            <asp:Parameter Name="letra" Type="String" />
                            <asp:Parameter Name="ano" Type="Int32" />
                            <asp:Parameter Name="nombre" Type="String" />
                            <asp:Parameter Name="ubicacion" Type="String" />
                        </InsertParameters>
                    </asp:ObjectDataSource>
                </ItemTemplate>
            </asp:DataList>
        </fieldset>
    </div>
</asp:Content>
