﻿Imports System.Data.SqlClient
Imports System.Data

Partial Class TopCalHijos
    Inherits System.Web.UI.Page

    Dim utils As New utileria
    Protected Sub Genetica_Default_Init(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Init
        If Not IsPostBack Then
            ddlNota = utils.fillPondera(ddlNota, "NOTAAP")
        End If
    End Sub
    Protected Sub btnProcesar_Click(sender As Object, e As EventArgs) Handles btnProcesar.Click
        Try
            Dim ganaderia As String = ddlTipoGanaderia.SelectedValue
            Dim strNota As String = ddlNota.SelectedItem.Text()
            Dim iTodosG As Integer = 0
            Dim iTodosN As Integer = 0
            If (chkGanaderia.Checked) Then
                ganaderia = ""
                iTodosG = 1
            End If
            If (chkNotas.Checked) Then
                strNota = ""
                iTodosN = 1
            End If

            Dim iRango As Integer = ddlRango.SelectedItem.Value()

            Dim MyRow As New HtmlTableRow
            Dim MyCell As New HtmlTableCell
            Dim cInd As Integer = 1
            Dim lstTables As New List(Of String)
            If (iTodosN > 0) Then
                lstTables.Add("S")
                lstTables.Add("MB")                
                lstTables.Add("+B")
                lstTables.Add("B")
                lstTables.Add("-B")
                lstTables.Add("+R")
                lstTables.Add("R")
                lstTables.Add("-R")
                lstTables.Add("M")
            Else
                lstTables.Add(strNota)
            End If

            For Each stable In lstTables
                MyCell = New HtmlTableCell
                MyCell.Style.Add("vertical-align", "baseline")
                Dim dtToros As New DataTable
                Dim dtVacas As New DataTable
                Dim lbl As New Label
                Dim htmlTable As New HtmlTable
                htmlTable.Style.Add("font-family", "Calibri, Arial")
                htmlTable.Style.Add("font-weight", "bold")
                htmlTable.Style.Add("font-size", "12px")
                htmlTable.Width = "50%"
                Dim RowI As New HtmlTableRow
                Dim CellI As New HtmlTableCell
                CellI.Attributes.Add("class", "FormHeaderTD")
                CellI.Attributes.Add("align", "center")
                CellI.ColSpan = 2
                lbl.Text = stable
                CellI.Controls.Add(lbl)
                RowI.Cells.Add(CellI)
                htmlTable.Rows.Add(RowI)

                RowI = New HtmlTableRow
                RowI.Style.Add("vertical-align", "baseline")
                CellI = New HtmlTableCell
                CellI.Style.Add("vertical-align", "baseline")
                CellI.Controls.Add(CargarGrid(ganaderia, iTodosG, stable, iRango))
                RowI.Cells.Add(CellI)
                htmlTable.Rows.Add(RowI)
                MyCell.Controls.Add(htmlTable)
                MyRow.Cells.Add(MyCell)

                If (cInd = 2) Then
                    tblCalificaciones.Rows.Add(MyRow)
                    MyRow = New HtmlTableRow
                    cInd = 0
                End If
                cInd += 1

            Next

            tblCalificaciones.Rows.Add(MyRow)

            divResultado.Visible = True
        Catch ex As Exception

        End Try
    End Sub

    Public Function CargarGrid(ByVal ganaderia As String, ByVal todas As Integer, ByVal nota As String, ByVal rango As Integer) As GridView
        Try

            Dim grd As New System.Web.UI.WebControls.GridView
            AddHandler (grd.RowDataBound), AddressOf grd_RowDataBound
            grd.AutoGenerateColumns = False
            grd.HorizontalAlign = HorizontalAlign.Center
            grd.CellPadding = "2"
            grd.ForeColor = Drawing.ColorTranslator.FromHtml("#333333")
            grd.GridLines = GridLines.None
            grd.RowStyle.BackColor = Drawing.ColorTranslator.FromHtml("#F7F6F3")
            grd.RowStyle.ForeColor = Drawing.ColorTranslator.FromHtml("#333333")

            'Columnas
            Dim hyperlinkField As New TemplateField()
            hyperlinkField.ItemTemplate = New HyperlinkColumn()
            hyperlinkField.HeaderText = "Animal"
            hyperlinkField.HeaderStyle.CssClass = "FormHeaderTD"
            grd.Columns.Add(hyperlinkField)



            Dim dbf As New BoundField()
            dbf.DataField = "Crias"
            dbf.HeaderText = "No. Crías"
            dbf.HeaderStyle.CssClass = "FormHeaderTD"
            dbf.HeaderStyle.Wrap = False
            dbf.ItemStyle.Font.Size = FontSize.Medium
            dbf.ItemStyle.HorizontalAlign = HorizontalAlign.Center
            grd.Columns.Add(dbf)

            dbf = New BoundField()
            dbf.DataField = "PTAP"
            dbf.HeaderText = "Tienta A Pie"
            dbf.HeaderStyle.CssClass = "FormHeaderTD"
            dbf.HeaderStyle.Wrap = False
            dbf.ItemStyle.Font.Size = FontSize.Medium
            dbf.ItemStyle.HorizontalAlign = HorizontalAlign.Center
            grd.Columns.Add(dbf)


            'dbf = New BoundField()
            'dbf.DataField = "PTAC"
            'dbf.HeaderText = "Tienta a Caballo"
            'dbf.HeaderStyle.CssClass = "FormHeaderTD"
            'dbf.HeaderStyle.Wrap = False
            'dbf.ItemStyle.Font.Size = FontSize.Medium
            'dbf.ItemStyle.HorizontalAlign = HorizontalAlign.Center
            'grd.Columns.Add(dbf)

            dbf = New BoundField()
            dbf.DataField = "PLAP"
            dbf.HeaderText = "Lidia a Pie"
            dbf.HeaderStyle.CssClass = "FormHeaderTD"
            dbf.ItemStyle.Font.Size = FontSize.Medium
            dbf.HeaderStyle.Wrap = False
            dbf.ItemStyle.HorizontalAlign = HorizontalAlign.Center
            grd.Columns.Add(dbf)

            

            'dbf = New BoundField()
            'dbf.DataField = "PLAC"
            'dbf.HeaderText = "Lidia a Caballo"
            'dbf.HeaderStyle.CssClass = "FormHeaderTD"
            'dbf.ItemStyle.Font.Size = FontSize.Medium
            'dbf.HeaderStyle.Wrap = False
            'dbf.ItemStyle.HorizontalAlign = HorizontalAlign.Center
            'grd.Columns.Add(dbf)

            Dim dt As New DataTable
            dt = CargarTable(ganaderia, todas, nota, rango)
            grd.DataSource = dt
            grd.DataBind()
            Return grd
        Catch ex As Exception
            Return New GridView()
        End Try
    End Function
    Protected Sub grd_RowDataBound(ByVal sender As Object, _
         ByVal e As System.Web.UI.WebControls.GridViewRowEventArgs)
        Try
            If (e.Row.RowType = DataControlRowType.DataRow) Then
                Dim hLink As HyperLink = e.Row.FindControl("hylAnimal")
                hLink.ToolTip = "Detalles del animal"
                hLink.Style.Add(" ItemStyle-Font-Size", "9px")
                hLink.Text = DataBinder.Eval(e.Row.DataItem, "ANIMAL")
                hLink.NavigateUrl = String.Format("~/Registro/detalles.aspx?animal={0}&sexo={1}&opt=1&modulo=1", DataBinder.Eval(e.Row.DataItem, "AnimalID"), DataBinder.Eval(e.Row.DataItem, "SEXO"))

            End If

        Catch ex As Exception
            Throw ex
        End Try
    End Sub

    Public Function CargarTable(ByVal ganaderia As String, ByVal todas As Integer, ByVal nota As String, ByVal rango As Integer) As DataTable
        Dim OrdenSQL As SqlCommand = Nothing
        Dim _sqlConexion As New SqlConnection
        _sqlConexion.ConnectionString = ConfigurationManager.ConnectionStrings("GanaderiaConnectionString").ConnectionString
        Dim sSQL As String = ""

        sSQL = "EXEC [sp_TopCalHijos] '" & ganaderia & "'," & todas.ToString() & ",'" & nota & "'," & rango & ";"

        Dim Resultado As Boolean = False
        OrdenSQL = New SqlCommand(sSQL, _sqlConexion)
        _sqlConexion.Open()
        Try
            Dim dt As DataTable = New DataTable()
            OrdenSQL.CommandTimeout = 0
            Using sda As New SqlDataAdapter()
                sda.SelectCommand = OrdenSQL
                Using ds As New DataSet()
                    sda.Fill(ds)
                    dt = ds.Tables(0)
                End Using

            End Using

            Return dt
        Catch ex As Exception
            Return New DataTable()
        Finally
            _sqlConexion.Close()
        End Try


    End Function

    Protected Sub chkNotas_CheckedChanged(sender As Object, e As EventArgs)
        If (chkNotas.Checked) Then
            ddlNota.Enabled = False
        Else
            ddlNota.Enabled = True
        End If
    End Sub

    Protected Sub chkGanaderia_CheckedChanged(sender As Object, e As EventArgs)
        If (chkGanaderia.Checked) Then
            ddlTipoGanaderia.Enabled = False
        Else
            ddlTipoGanaderia.Enabled = True
        End If
    End Sub

End Class

Class HyperlinkColumn
    Implements ITemplate

    Public Sub InstantiateIn(container As System.Web.UI.Control) Implements ITemplate.InstantiateIn
        Dim hypLink As New HyperLink()
        hypLink.ToolTip = "Detalles del animal"
        hypLink.ID = "hylAnimal"
        hypLink.CssClass = "detalles"
        container.Controls.Add(hypLink)
    End Sub


End Class


